/* Imports */
/* @import url('https://fonts.googleapis.com/css?family=Almarai&display=swap'); */
/* @import url('https://fonts.googleapis.com/css?family=Open+Sans'); */
@import url('https://fonts.googleapis.com/css?family=PT+Serif');



/* 

 * Variables 

 */

:root {

  --primary-color: #062362;

  --primary-color-contrast: #fff;

  --primary-color-shade: #062362;

  --primary-color-tint: #35355b;



  --secondary-color: #c9242c;

  --secondary-color-contrast: #fff;

  --secondary-color-shade: #c9242c;

  --secondary-color-tint: #cb3a3a;



  --background-color: white;

  --text-color: #0F0F0F;

  --link-text-color: #062362;

}



/* 

 * Essentials 

 */

* {

  box-sizing: border-box;

}



html {

  scroll-behavior: smooth;

}

:target {

  scroll-margin-top: 100px;

}



body {

  font-family: 'PT serif', 'Arial', sans-serif;

  font-weight: 400;

  font-size: 16px;

  background-color: var(--background-color);

}



h1,
h2,
h3,
h4,
h5,
h6,
.my-env h1,
.my-env h2,
.my-env h3,
.my-env h4,
.my-env h5,
.my-env h6 {

  font-family: 'PT serif', 'Arial', sans-serif;

  color: var(--text-color);

  font-weight: 600;

  padding-top: 12px;

  /* font-weight: 400; */

}



/* h1, .my-env h1 { 

  font-size: 40px; 

} 

 

h3, .my-env h3 { 

  font-size: 1.65rem; 

} */



a,
.my-env a {

  color: var(--link-text-color);

  text-decoration: none;

}



a:hover,
.my-env a:hover {

  text-decoration: underline;

  color: var(--link-text-color);

}



h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {

  color: var(--text-color);

  text-decoration: none;

}





/* 

 * Bootstrap overwrites 

 */



.btn,

.my-env .btn {

  border-radius: 5px !important;

  text-transform: uppercase;

  text-decoration: none;

}



.btn-primary,
.my-env .btn-primary {

  background-color: var(--primary-color);

  border: 0;

  color: var(--primary-color-contrast);

}



.btn-primary:active,

.btn-primary:not(:disabled):not(.disabled):active,

.btn-primary:focus,

.btn-primary:hover,

.my-env .btn-primary:hover {

  background-color: var(--secondary-color-tint);
  color: var(--secondary-color-contrast);

}



.btn-secondary,
.my-env .btn-secondary {

  background-color: var(--secondary-color);

  border: 0;

  color: var(--secondary-color-contrast);

}



.btn-secondary:active,

.btn-secondary:not(:disabled):not(.disabled):active,

.btn-secondary:focus,

.btn-secondary:hover,

.my-env .btn-secondary:hover {

  background-color: var(--primary-color);

  color: var(--primary-color-contrast);

}



/* 

 * Bootstrap extensions 

 */

.py-8 {
  padding-block: 5rem;
}

.pt-8 {
  padding-top: 5rem;
}

.pb-8 {
  padding-bottom: 5rem;
}

.my-8 {
  margin-block: 5rem;
}

.mt-8 {
  margin-top: 5rem;
}

.mb-8 {
  margin-bottom: 5rem;
}



.align-justify {

  text-align: justify;

}



/*  

 * Basics 

 */
.page-titel {
  background-color: var(--primary-color);
  color: white;
  margin-top: auto;
  margin-bottom: auto;
  padding-top: 8px;
  padding-bottom: 12px;
}

.content-begin {
  box-shadow: 0px -3px 5px 0px #CCC;
}

/*Navigatie balk*/
.navigation-wrapper {
  position: fixed;
  top: 0px;
  width: 100%;
  z-index: 1000 !important;
}

/* Main Navbar */
.main-navbar {
  border-bottom: 0px solid var(--primary-color);
  background-color: #fff;
  display: block;
  width: 100%;
}

.main-navbar-container {
  flex-wrap: nowrap !important;
}

.main-navbar .navbar-brand img,
.main-navbar .navbar-brand figure {
  max-height: 60px;
  margin: 0;
}

.main-navbar .navbar-nav .nav-link {
  margin: 0 5px;
  color: var(--primary-color);
  font-weight: 700;
  font-family: 'PT serif', sans-serif;
}

.main-navbar .navbar-nav .nav-link:hover,
.main-navbar .navbar-nav .nav-link:focus {
  color: unset;
}

.main-navbar .navbar-nav .dropdown-item.active,
.dropdown-item:active {
  background-color: var(--primary-color-tint);
}

.main-navbar .btn {
  font-weight: 700;
  font-size: 1.05rem;
  white-space: nowrap;
}

.main-navbar .navbar-btn-container {
  white-space: nowrap;
  display: flex;
  align-items: center;
}

.main-navbar .simple-menu-list {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: center;
  font-size: 16px;
  font-weight: bold;
}

.main-navbar .simple-menu-list-item>* {
  color: var(--primary-color);
  font-size: 20px;
  font-weight: 600;
  font-family: 'PT serif', sans-serif;
}

.my-env .navbar {
  z-index: 0 !important;
}

.navbar-toggler {
  border: 0;
}

.navbar-hamburger {
  cursor: pointer;
}

.navbar-hamburger span {
  width: 30px;
  height: 3px;
  background-color: var(--primary-color);
  display: block;
  margin: 5px auto;
}

.offcanvas {
  background-color: #fff;
}

.navbar-close-offcanvas {
  position: absolute;
  right: 32px;
  top: 32px;
  width: 32px;
  height: 32px;
  cursor: pointer;
}

.navbar-close-offcanvas:before,
.navbar-close-offcanvas:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 33px;
  width: 2px;
  background-color: var(--primary-color);
}

.navbar-close-offcanvas:before {
  transform: rotate(45deg);
}

.navbar-close-offcanvas:after {
  transform: rotate(-45deg);
}

/*Einde Navigatie balk*/

.navbar-collapse {
  padding: 0.5rem;
  background-color: rgb(255, 255, 255);
  margin-right: -16px;
  margin-left: -16px;
}

.navbar-dark .navbar-nav .nav-link {
  color: var(--primary-color);
  font-size: 1.5rem;
  font-weight: 600;
  text-decoration: none;
  text-transform: uppercase;
  justify-content: center;
}

.navbar-dark .navbar-nav .nav-link:focus,
.navbar-dark .navbar-nav .nav-link:hover {
  color: var(--secondary-color);
}

.my-env .navbar {
  z-index: 0 !important;
}

.foys-footer {

  background: var(--secondary-color);

  color: var(--secondary-color-contrast);

  max-width: none;

}



.foys-footer a {

  color: var(--secondary-color-contrast);

}



/*  

 * 👇 INSERT CUSTOM CSS FOR ALL SCREEN SIZES BELOW 👇 

 */



.website-header-name {

  display: none;

}

.red {

  background-color: var(--primary-color);

  color: var(--primary-color-contrast);

}



.red a,
.red h1,
.red h2,
.red h3,
.red h4,
.red h5,
.red h6 {

  color: var(--primary-color-contrast);

}

/* 
 * Navbar 
 */


.main-navbar {
  border-bottom: 5px solid var(--primary-color);
  background-color: #fff;
  display: block;
  width: 100%;
}

.main-navbar .navbar-nav {
  display: flex;
  align-items: center;
}

.main-navbar .navbar-brand img,
.main-navbar .navbar-brand figure {
  max-height: 50px;
  margin: 0;
}

.main-navbar .navbar-nav .nav-link {
  margin: 0 5px;
  color: var(--primary-color);
  font-weight: 500;
  font-family: var(--primary-font-family);
}

.main-navbar .navbar-nav .nav-link:hover,
.main-navbar .navbar-nav .nav-link:focus {
  color: unset;
}

.main-navbar .navbar-nav .nav-item .btn-primary {
  font-weight: 700;
  font-size: 1.05rem;
}

.main-navbar .simple-menu-list {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  /* align-items: center; */
  font-size: 16px;
  font-weight: bold;
}

.main-navbar .simple-menu-list-item>* {
  color: var(--text-color-dark);
  font-size: 16px;
  font-weight: 600;
  font-family: var(--primary-font-family);
}

.navbar-toggler {
  border: 0;
}

.navbar-hamburger {
  cursor: pointer;
}

.navbar-hamburger span {
  width: 30px;
  height: 3px;
  background-color: var(--primary-color);
  display: block;
  margin: 5px auto;
}

.navbar-close-offcanvas {
  position: absolute;
  right: 32px;
  top: 32px;
  width: 32px;
  height: 32px;
  cursor: pointer;
}

.navbar-close-offcanvas:before,
.navbar-close-offcanvas:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 33px;
  width: 2px;
  background-color: var(--primary-color);
}

.navbar-close-offcanvas:before {
  transform: rotate(45deg);
}

.navbar-close-offcanvas:after {
  transform: rotate(-45deg);
}

.navbar-btn-container {
  white-space: nowrap;
  display: flex;
  align-items: center;
}

.dropdown-item.active,
.dropdown-item:active {
  background-color: <%=@theme_color %>;
}


/* News */
.news-item {
  margin-top: 15px;
  margin-bottom: 15px;
}

.news-item:hover {
  transform: scale(0.95);
  transition: all 2s;
}

.news-item.border {
  border: 0 !important;
}

.news-content-container {
  padding: 24px;
  background-color: #fff;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 12px rgba(0, 0, 0, 0.03);
}

.news-image-container {
  width: 100%;
}

.news-item:hover {
  transform: scale(0.90);
  transition: all 1s;
}

.news-item-image-div {
  min-height: 150px;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 240px;
  transition: all 0.5s ease-in-out;
  border-top-left-radius: 16px;
  border-top-right-radius: 16px;
}

.news-date {}

.news-title {
  margin-bottom: 8px;
}

.news-title a {
  font-family: 'PT serif', 'Arial', sans-serif;
  font-weight: 600;
  font-size: 18px;
  text-decoration: none;
  color: var(--primary-color);
  transition: color 0.2s ease-in-out;
}

.news-short-description-content {
  text-align: left !important;
  margin-bottom: 16px;
  font-weight: 300;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* Limit to 3 lines */
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-read-more {
  color: var(--primary-color);
  margin-top: 16px;
  text-align: left;
  font-family: 'PT serif', 'Arial', sans-serif;
  font-size: 14px;
  font-weight: 700;
  line-height: 0.8;
}

.news-read-more a {
  color: var(--primary-color);
  font-size: 18px;
}

.news-read-more a:hover {
  color: var(--primary-color);
}

.news-body img {
  max-width: 100%;
  height: auto;
}

/* News Detail Page */
.website-news-item-details .news-title {
  margin-top: 24px;
  font-size: 32px;
  color: var(--primary-color);
}

.website-news-item-details .news-image-col {
  flex: 0 0 100%;
  max-width: 100%;
  border-radius: 16px;
  overflow: hidden;
}

.website-news-item-details .news-image-col img {
  width: 100%;
  aspect-ratio: 16/8;
  object-fit: cover;
}

.website-news-item-details .news-content-col {
  padding-inline: 0px;
}

.website-news-item-details .news-body {
  padding-inline: 0px;
}

.news-header-container .col-md-3 {
  flex: 0 0 auto !important;
  min-width: 100% !important;
  width: auto !important;
  padding: 0 !important;
  max-height: 450px;
  overflow: clip;
}

/*End news*/


.calendar-event-date,

.calendar-event-time {

  display: inline;

  font-family: 'PT serif', 'Arial', sans-serif;

  font-weight: 900;

  font-size: 1rem;

  text-decoration: none;

  color: var(--primary-color);

}



.calendar-event-date:first-letter {

  text-transform: capitalize;

}



.calendar-event-time::before {

  content: "van ";

}



.calendar-event-title {

  font-size: 0.8rem;

}



.event-title {

  color: var(--primary-color);

}



.event-title a {

  color: var(--primary-color);

}



.event-title a:hover {

  color: var(--text-color);

  text-decoration: none;

}





.website-calendar-events .lead {

  display: none;

}



.big-date-block {

  background-color: var(--primary-color);

  color: #E0E0E0;

  text-align: center;

  text-transform: uppercase;

  padding: 0.5rem;

}



.big-date-day,
.big-date-month {

  font-size: 35px;

  line-height: 35px;

  margin-bottom: 0;

}

/*Home image blocks*/
.home-image-block {
  width: 152px;
  margin-left: auto;
  margin-right: auto;
}

.home-image-block img {
  width: 152px;
  height: 152px;
  object-fit: cover;
  padding: 5px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 12px rgba(0, 0, 0, 0.03);
}

.home-image-block-sm {
  width: 132px;
  margin-left: auto;
  margin-right: auto;
}

.home-image-block-sm img {
  width: 132px;
  height: 132px;
  object-fit: cover;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.home-image-category {
  background-color: var(--primary-color);
  color: #FFFFFF;
  font-weight: 600;
  font-family: 'PT serif', sans-serif;
  text-transform: uppercase;
  font-size: 0.8rem;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 12px rgba(0, 0, 0, 0.03);
}

.home-secondary-image-category {
  background-color: var(--secondary-color);
  color: #FFFFFF;
  font-weight: 600;
  font-family: 'PT serif', sans-serif;
  text-transform: uppercase;
  font-size: 0.8rem;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

/*Bestuur & Commissies*/
.bestuur-picture {
  width: auto;
  height: 120px;
  object-fit: cover;
}

.bestuur-vak {
  border-radius: 25px;
  background-color: var(--primary-color);
  margin-left: auto;
  margin-right: auto;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 12px rgba(0, 0, 0, 0.03);
}

.bestuur-vak-2 {
  border-radius: 25px;
  background-color: var(--secondary-color);
  margin-left: auto;
  margin-right: auto;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1), 0 6px 12px rgba(0, 0, 0, 0.03);
}

.bestuur-vak-leeg {
  border-radius: 25px;
  margin-left: auto;
  margin-right: auto;
}

.link a {

  color: #ffffff;

  text-decoration: none;

}

.link a:hover {

  color: #ffffff;

  text-decoration: underline;

}



.link2 a {

  color: #ffffff;

  text-decoration: none;

}

.link2 a:hover {

  color: #bebebe;

  text-decoration: none;

}



.link3 a {

  color: #bebebe;

  text-decoration: none;

}

.link3 a:hover {

  color: #000000;

  text-decoration: none;

}



.link4 a {

  color: #ffffff;

  text-decoration: none;

}

.link4 a:hover {

  color: #ffffff;

  font-size: 14px;

  text-decoration: none;

}



.text-primary {

  color: var(--primary-color);

}

.text-primary a {

  color: var(--primary-color);

}



.text-secondary {

  color: var(--secondary-color);

}

.text-secondary a {

  color: var(--secondary-color);

}



.content-center {

  display: block;

  margin-top: auto;

  margin-bottom: auto;

}

.rounded-corners {

  border-radius: 25px;

}

.dynamic-item:hover {
  transform: scale(0.90);
  transition: all 1s;
}


/*.spnsr-logo-image { 

  max-width: 300px; 

  max-height: 200px; 

}*/

.website-sponsors-list {
  z-index: 2 !important;
}

.website-sponsors-list .lead {

  display: none;

}



.website-sponsors-list>* {

  padding-top: 0 !important;

  padding-bottom: 0 !important;

}



.website-sponsors-list .lslide,

.clone {

  height: 100px;

}



.website-sponsors-list .lslide>*,

.clone>* {

  overflow: hidden;

  height: 100%;

}



.website-sponsors-list .lslide>a,

.clone>a {

  display: flex;

  height: 100%;

  justify-content: center;

}



.website-sponsors-list .lslide>a>img,

.clone>a>img {

  display: block;

  height: 100%;

  object-fit: contain;

}

/*Start nav-tabs*/
.nav-tabs .nav-link {
  color: var(--secondary-color);
  font-weight: 600;
}

.nav-tabs .nav-link:hover {
  color: var(--primary-color);
  border-color: #dee2e6 #dee2e6 #fff;
  font-weight: 600;
}

.nav-tabs .nav-link.active {
  color: var(--primary-color);
  background-color: #fff;
  border-color: #dee2e6 #dee2e6 #fff;
  font-weight: 600;
}

/*Einde nav-tabs*/


/* 

 * DESKTOP 

 */

@media all and (min-width: 992px) {

  /* BASICS */



  .main-navbar .simple-menu-list {
    background-color: #fff;
    padding: 15px;
    border-radius: 25px;
    box-shadow: 0px 2px 4px #cab6ac42;
  }

  /* 

   * 👇 CUSTOM CSS FOR DESKTOP ONLY 👇 

   */

  .page-top-image {

    display: block;

    height: 500px;

    background-repeat: no-repeat;

    background-size: cover;

    background-position: center center;

  }



  .page-top-image h2 {

    color: #FFFFFF;

    margin-top: 200px;

    text-align: center;

    font-size: clamp(48px, 10vw, 60px);

  }



  .boven-lap {
    margin-top: -20px;
  }

  .boven-lap-lg {
    margin-top: -50px;
  }

  .boven-lap-xl {
    margin-top: -80px;
  }

  .navigation-fill {
    height: 70px;
    background-color: var(--primary-color);
  }

  /*Navigatie balk*/
  .navigation-wrapper {
    position: fixed;
    top: 0px;
    width: 100%;
  }

  /* Main Navbar */
  .main-navbar {
    border-bottom: 0px solid var(--primary-color);
    background-color: transparent;
    display: block;
    width: 100%;
  }

  /* START custom navbar */
  .website-custom-header {
    .navbar {
      display: block;
      margin: auto;
      background: white;
      border-radius: 999px;
      width: fit-content;
      box-shadow: 0px 2px 4px #cab6ac42;
      padding: 0.5rem 1.5rem;
    }

    .navbar-dark .navbar-nav .nav-link {
      color: var(--primary-color);
      font-size: 16px;
    }

    .navbar-dark .navbar-nav .nav-link:hover {
      color: var(--secondary-color);
    }
  }

  .navbar {
    padding: 0;
  }

  .navbar .nav-item .dropdown-menu {
    display: none;
    border-radius: 0 !important;
  }

  .navbar .nav-item .dropdown-large {
    padding: 20px;
  }

  .navbar .nav-item .nav-link {
    font-size: 0.9rem;
    padding-left: 0.4rem;
    padding-right: 0.4rem;
  }

  .navbar .nav-item:hover .dropdown-menu {
    display: block;
  }

  .navbar .nav-item .dropdown-menu {
    margin-top: 0;
  }

  .navbar-collapse {
    justify-content: center;
    text-align: center;
    background-color: transparent;
  }

  .navbar-brand {
    padding-top: 0;
    margin-top: 10px;
  }

  .navbar .nav-item .dropdown-large {
    min-width: 480px;
    left: 50% !important;
    transform: translateX(-50%) !important;
    top: 100% !important;
  }

  /* end navbar */


  /*iframe container - Laptop*/
  .iframe-container {
    width: 100%;
    height: 60vh;
  }

  .iframe-container iframe {
    width: 100%;
    height: 100%;
  }
}



/*  

 * MOBILE AND TABLETS 

 */

@media all and (max-width: 992px) {

  /* BASICS */

  .website-header-logo {
    max-height: 60px;
  }

  .website-header {
    background-color: #fff;
    position: sticky;
    opacity: 1;
    border-bottom: solid 0px var(--primary-color);
    height: 0px;
    z-index: 100;
    margin-bottom: 80px;
  }

  /*Navigatie balk*/
  .navigation-wrapper {
    position: fixed;
    top: 0px;
    width: 100%;
  }

  .main-navbar {
    border-bottom: 2px solid var(--primary-color);
    background-color: #fff;
    display: block;
    width: 100%;
  }

  .main-navbar .dropdown-menu {
    border: 0;
  }

  .navbar-nav {
    overflow-y: scroll;
  }

  .main-navbar-container {
    justify-content: end;
  }

  .main-navbar .navbar-brand {
    margin-right: auto;
  }

  .main-navbar .simple-menu-list {
    align-items: flex-start;
    flex-direction: column;
    gap: 0px;
    padding-left: 0px;
    margin-left: 20px;
    margin-top: 2rem;
    margin-right: auto;
  }

  .simple-menu-list-dropdown-toggle {
    display: block;
    text-align: left;
    max-width: fit-content;
  }

  .main-navbar .simple-menu-list-item>* {
    color: var(--primary-color);
    padding-top: 0px;
  }

  .main-navbar .dropdown-menu {
    background-color: #fff;
  }

  .main-navbar .dropdown-item {
    color: var(--primary-color);
  }

  .main-navbar .btn {
    max-width: fit-content;
    margin-bottom: 1rem;
  }

  .main-navbar .navbar-btn-container {
    flex-direction: column;
    gap: 0px;
    align-items: flex-start;
    margin-top: 8px;
    margin-left: 20px;
    margin-right: auto;
  }

  /*Einde Navigatie balk*/
  .navbar-toggler {
    padding: 0.25rem 0.75rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    border-color: var(--primary-color);
    cursor: pointer;
  }

  .navbar-collapse {
    padding: 0.5rem;
    background-color: #fff;
    margin-right: -16px;
    margin-left: -16px;
    max-height: 500px;
    overflow-y: auto;
  }

  .navbar-dark .navbar-nav .nav-link {
    color: var(--primary-color);
    font-size: 1.2rem;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
  }

  .navbar-dark .navbar-nav .nav-link:focus,
  .navbar-dark .navbar-nav .nav-link:hover {
    color: var(--secondary-color);
  }

  /*Einde nav*/


  .table {

    display: block;

    overflow-x: auto;

    white-space: nowrap;

  }



  /* 

   * 👇 CUSTOM CSS FOR MOBILE AND TABLETS 👇 

   */

  .page-top-image {

    display: block;

    height: 250px;

    background-repeat: no-repeat;

    background-size: cover;

    background-position: center center;

  }



  .page-top-image h2 {

    color: #FFFFFF;

    margin-top: 90px;

    text-align: center;

    font-size: clamp(30px, 8vw, 36px);

  }

  /*iframe container - Mobiel*/
  .iframe-container {
    width: 100%;
    height: 40vh;
  }

  .iframe-container iframe {
    width: 100%;
    height: 100%;
  }
}

/*Extra groot scherm*/
@media all and (min-width: 1200px) {
  .page-top-image {
    display: block;
    height: 600px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
  }


  .page-top-image h2 {
    color: #FFFFFF;
    margin-top: 250px;
    text-align: center;
    font-size: clamp(48px, 10vw, 60px);
  }

  /*iframe container - Extra groot scherm*/
  .iframe-container {
    width: 100%;
    height: 60vh;
  }

  .iframe-container iframe {
    width: 100%;
    height: 100%;
  }
}